<?php

	include_once( PLOG_CLASS_PATH.'class/view/admin/admintemplatedview.class.php' );
	include_once( PLOG_CLASS_PATH.'class/dao/blogs.class.php' );
	include_once( PLOG_CLASS_PATH.'class/dao/userstatus.class.php' );
	

    /**
     * \ingroup View
     * @private
     *	
	 * shows a special view to add a user to the site
	 */
	class AdminAddUserView extends AdminTemplatedView
	{
	
		function AdminAddUserView( $blogInfo )
		{
			$this->AdminTemplatedView( $blogInfo, 'createuser' );	
		}
		
		function render()
		{
			$this->setValue( 'userStatusList', UserStatus::getStatusList());		
			parent::render();
		}
	}
?>